import { AxiosResponse } from 'axios';
export declare const getWeChatAccessToken: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxConfig: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxArticlePagedList: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxArticleForEdit: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxArticleInfo: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const createOrUpdateWxArticle: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const deleteWxArticle: (id: object) => Promise<AxiosResponse<any, any>>;
export declare const createOrUpdateWxMenu: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxMenuTree: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const updateWxMenu: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const deleteMenu: (id: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxMediaPagedList: (data: {
    pageIndex: number;
    pageSize: number;
    type: 'image';
}) => Promise<{
    total: number;
    list: any[];
}>;
export declare const uploadWxMedia: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const DeleteWxMedia: (id: string) => Promise<AxiosResponse<any, any>>;
export declare const createWxDrafts: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxDraftsPagedList: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const createWxPublish: (media_Id: string) => Promise<AxiosResponse<any, any>>;
export declare const getWxPublishPagedList: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const updateWxPublish: (publishId: object) => Promise<AxiosResponse<any, any>>;
export declare const getWxSendMsgPagedList: (data: object) => Promise<AxiosResponse<any, any>>;
export declare const createWxSendMsg: (data: object) => Promise<AxiosResponse<any, any>>;
/**
 * 删除草稿箱项目
 * @param id
 */
export declare const DeleteWxDrafts: (id: string) => Promise<AxiosResponse<any, any>>;
/**
 * 草稿箱项目-查看
 * @param id
 */
export declare const GetWxDraftsInfo: (id: string) => Promise<AxiosResponse<any, any>>;
