interface LanguageState {
    language?: string;
    setLanguage?: (val: string) => void;
}
declare const languageStore: import("zustand").UseBoundStore<Omit<Omit<import("zustand").StoreApi<LanguageState>, "setState"> & {
    setState<A extends string | {
        type: unknown;
    }>(partial: LanguageState | Partial<LanguageState> | ((state: LanguageState) => LanguageState | Partial<LanguageState>), replace?: boolean | undefined, action?: A | undefined): void;
}, "persist"> & {
    persist: {
        setOptions: (options: Partial<import("zustand/middleware").PersistOptions<LanguageState, unknown>>) => void;
        clearStorage: () => void;
        rehydrate: () => void | Promise<void>;
        hasHydrated: () => boolean;
        onHydrate: (fn: (state: LanguageState) => void) => () => void;
        onFinishHydration: (fn: (state: LanguageState) => void) => () => void;
        getOptions: () => Partial<import("zustand/middleware").PersistOptions<LanguageState, unknown>>;
    };
}>;
export default languageStore;
