/// <reference types="react" />
export declare const AdressBook: React.FC<{
    list?: {
        id: number | string;
        name: string;
    }[];
    onSelect?: (key: string) => void;
    onClickItem?: (item: {
        id: number | string;
        name: string;
    }) => void;
}>;
declare const BitzAdressBook: React.FC<{
    /**
     * - tab切换
     */
    tabs?: {
        key: string;
        label: string;
    }[];
    /**
     * - 用户列表
     */
    list?: {
        id: number | string;
        name: string;
        [key: string]: any;
    }[];
    /**
     * - 删选弹窗内容
     */
    filterChildren?: React.ReactNode;
    /**
     * - 设置筛选弹窗高度
     */
    filterHeight?: number;
    /**
     * - 回车时触发
     */
    onSearch?: (value: string) => void;
    /**
     * - 右侧索引点击时触发
     */
    onSelect?: (key: string) => void;
    /**
     * - 弹窗重置按钮点击时触发
     */
    onReset?: () => void;
    /**
     * - 弹窗确认按钮点击时触发
     */
    onOk?: () => void;
    /**
     * - tab切换时触发
     * - 1：客户通讯录
     * - 2：单位通讯录
     */
    tabChange?: (activeKey: string) => void;
    /**
     * - 点击用户时触发
     */
    onClickItem?: (item: {
        id: number | string;
        name: string;
        [key: string]: any;
    }) => void;
}>;
export default BitzAdressBook;
