import React, { type FC, ReactNode } from "react";
import { ParagraphProps } from "antd/es/typography/Paragraph";
export interface BitzPopoverProps extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> {
    /**
     * 子级
     */
    children?: ReactNode;
    /**
     * 配置隐藏几行
     * 详情: https://ant-design.antgroup.com/components/typography-cn#ellipsis
     * Default: false
     */
    ellipsis?: ParagraphProps["ellipsis"];
}
declare const BitzPopover: FC<BitzPopoverProps>;
export default BitzPopover;
