import { FC, ReactNode } from 'react';
interface BitzTableDrawerProps {
    /**
     * 开关
     */
    open?: boolean;
    /**
     * 标题
     */
    title?: string;
    /**
     * 返回函数
     */
    drawerEmit?: (val: string) => void;
    /**
     * 嵌套
     */
    extra?: ReactNode;
    /**
     * 插槽
     */
    children?: ReactNode;
    /**
     * 确定按钮控制参数-如[a,b,c]abc只要有一个为空，按钮则被禁止
     */
    requiredItems?: any[];
}
declare const BitzTableDrawer: FC<BitzTableDrawerProps>;
export default BitzTableDrawer;
