/// <reference types="react" />
import * as echarts from "echarts";
/**
 * @description 使用Echarts(只是为了添加图表响应式)
 * @param {Element} data 数据 目前只针对于次Hooks-admin里一些data都是写死在options 所以data为可选 根据项目自行修改即可
 * @param {Object} options 绘制Echarts的参数(必传)
 * @return chart
 * */
export declare const useEcharts: (options: echarts.EChartsCoreOption, data?: any) => import("react").RefObject<HTMLDivElement>[];
