/**
 * - description: 获取栏目列表
 * - param {*} opt
 * - return {*}
 */
export declare function GetPagesPagedList(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 栏目排序
 * - param {number} sort Number
 * - param {string} id string
 * - return {*}
 */
export declare function UpdatePageSort(sort: number, id: string): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 创建或者更新栏目
 * - param {*} opt
 * - return {*}
 */
export declare function CreateOrUpdatePage(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 获取编辑内容
 * - param {*} param1
 * - return {*}
 */
export declare function GetPageForEdit({ id, lang }: {
    id: any;
    lang?: string | undefined;
}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 删除栏目
 * - param {*} id
 * - return {*}
 */
export declare function DeletePage(id: any): Promise<import("axios").AxiosResponse<any, any>>;
