interface LayoutState {
    isCollapse?: boolean;
    setCollapse?: (val: boolean) => void;
    isExpand: boolean;
    setExpand?: (val: boolean) => void;
    menuData?: any[];
    setMenuData?: (val: any[]) => void;
    navData?: any[];
    setNavData?: (val: any[]) => void;
    setting?: any;
    setSetting?: (val: object) => void;
}
declare const layoutStore: import("zustand").UseBoundStore<Omit<Omit<import("zustand").StoreApi<LayoutState>, "setState"> & {
    setState<A extends string | {
        type: unknown;
    }>(partial: LayoutState | Partial<LayoutState> | ((state: LayoutState) => LayoutState | Partial<LayoutState>), replace?: boolean | undefined, action?: A | undefined): void;
}, "persist"> & {
    persist: {
        setOptions: (options: Partial<import("zustand/middleware").PersistOptions<LayoutState, unknown>>) => void;
        clearStorage: () => void;
        rehydrate: () => void | Promise<void>;
        hasHydrated: () => boolean;
        onHydrate: (fn: (state: LayoutState) => void) => () => void;
        onFinishHydration: (fn: (state: LayoutState) => void) => () => void;
        getOptions: () => Partial<import("zustand/middleware").PersistOptions<LayoutState, unknown>>;
    };
}>;
export default layoutStore;
